import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

import {InputSize,Currency,FormatAmount} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T31C extends Component
{

    name='31C'
    desp = "Date of Issue"
    
    pattern = ""
    tno = -1
    keys=[1]
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        
        let mval = `${obj.s1}`.replace('/','')
        this.props.onValue([obj,mval])
    }
    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem                 
                help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                            <DatePicker size={InputSize} defaultValue="" format="yyMMdd" value={value.s1} onChange={(date, dateString)=>this.onChange(1,dateString)} />
                </FormItem>
            </Col>
        </Row>)
    }
}